Page MenuHomePhabricator

special:checkuser no longer shows if an account has been locked
Closed, ResolvedPublic

Description

Per title!

Event Timeline

Vituzzu created this task.Jun 15 2016, 8:13 PM
Restricted Application added subscribers: Zppix, JEumerus, Aklapper. · View Herald TranscriptJun 15 2016, 8:13 PM
Vituzzu triaged this task as High priority.Jun 15 2016, 8:13 PM
DoRD added a subscriber: DoRD.Jun 15 2016, 9:53 PM

It seems there's something wrong with APIs. popup returns "BLOCKED, LOCKED" for every user account.

DoRD added a comment.Jun 15 2016, 10:33 PM

It seems there's something wrong with APIs. popup returns "BLOCKED, LOCKED" for every user account.

However, if an account has no live edits, no status is shown at all.

It seems there's something wrong with APIs. popup returns "BLOCKED, LOCKED" for every user account.

However, if an account has no live edits, no status is shown at all.

Wops, errata corrige, LOCKED, HIDDEN, just global status then.

It seems there's something wrong with APIs. popup returns "BLOCKED, LOCKED" for every user account.

That was a navigation popups bug which was fixed on en.wp.

While $wgDisableAuthManager = false:

> $u = User::newfromName('Newuser');
> return $u->isLocked();
bool(false)
> $ca = CentralAuthUser::getInstance($u);
> return $ca->isLocked();
bool(true)

Works as expected when AuthManager is disabled. We might have permissions checking places with User::isLocked() so this will probably have to be fixed soon.

Change 294912 had a related patch set uploaded (by Glaisher):
Add UserIsLocked and UserIsHidden hook handlers

https://gerrit.wikimedia.org/r/294912

Change 294912 merged by jenkins-bot:
Add UserIsLocked and UserIsHidden hook handlers

https://gerrit.wikimedia.org/r/294912

Glaisher closed this task as Resolved.Jun 18 2016, 4:21 PM
Glaisher claimed this task.
MarcoAurelio moved this task from Backlog to Closed on the CheckUser board.Jan 22 2017, 4:31 PM